Package org.eclipse.wst.xsl.ui.internal.style

## org.eclipse.wst.xsl.ui.internal.style
Class LineStyleProviderForXSL

    public class LineStyleProviderForXSL
    extends AbstractLineStyleProvider

This implements a Syntax Line Style Provider for XSL. It leverages some information from the XML Syntax Coloring, but adds specific coloring for XSL specific elements and attributes.

## Field Summary

`protected Highlighter` | `highlighter`
`protected ReconcilerHighlighter` | `recHighlighter`
`protected IStructuredDocument` | `structuredDocument`

## Constructor Summary

`LineStyleProviderForXSL()`

## Method Summary

`protected void` | `addTextAttribute(java.lang.String colorKey)` Looks up the colorKey in the preference store and adds the style information to list of TextAttributes
`protected void` | `commonInit(IStructuredDocument document , Highlighter highlighter)`
`protected TextAttribute` | `createTextAttribute(RGB foreground , RGB background , boolean bold)`
`protected TextAttribute` | `createTextAttribute(RGB foreground , RGB background , int style)`
`protected TextAttribute` | `getAttributeFor(ITextRegionCollection collection , ITextRegion textRegion)`
`protected TextAttribute` | `getAttributeFor(ITextRegion region)`
`protected IPreferenceStore` | `getColorPreferences()`
`protected IStructuredDocument` | `getDocument()`
`protected Highlighter` | `getHighlighter()`
`protected void` | `handlePropertyChange(PropertyChangeEvent event)`
`public void` | `init(IStructuredDocument document , Highlighter highlighter)`
`public void` | `init(IStructuredDocument structuredDocument , ISourceViewer sourceViewer)`
`public void` | `init(IStructuredDocument structuredDocument , ReconcilerHighlighter highlighter)`
`public boolean` | `isInitialized()` Returns the initialized.
`protected void` | `loadColors()`
`public boolean` | `prepareRegions(ITypedRegion typedRegion , int lineRequestStart , int lineRequestLength , java.util.Collection holdResults)`
`protected boolean` | `prepareTextRegion(ITextRegionCollection blockedRegion , int partitionStartOffset , int partitionLength , java.util.Collection holdResults)`
`protected boolean` | `prepareTextRegions(IStructuredDocumentRegion structuredDocumentRegion , int partitionStartOffset , int partitionLength , java.util.Collection holdResults)`
`protected void` | `registerPreferenceManager()`
`public void` | `release()`
`protected void` | `unRegisterPreferenceManager()`

## Field Detail

## highlighter

`protected Highlighter highlighter`

## recHighlighter

`protected ReconcilerHighlighter recHighlighter`

## structuredDocument

`protected IStructuredDocument structuredDocument`

## Constructor Detail

## LineStyleProviderForXSL

`public LineStyleProviderForXSL()`

## Methods Detail

## addTextAttribute

`protected void addTextAttribute(java.lang.String colorKey)`

Looks up the colorKey in the preference store and adds the style information to list of TextAttributes

### Parameters

`colorKey`

## commonInit

`protected void commonInit(IStructuredDocument document , Highlighter highlighter)`

### Parameters

`document`

`highlighter`

## createTextAttribute

`protected TextAttribute createTextAttribute(RGB foreground , RGB background , boolean bold)`

### Parameters

`foreground`

`background`

`bold`

### Returns

`TextAttribute`

## createTextAttribute

`protected TextAttribute createTextAttribute(RGB foreground , RGB background , int style)`

### Parameters

`foreground`

`background`

`style`

### Returns

`TextAttribute`

## getAttributeFor

`protected TextAttribute getAttributeFor(ITextRegionCollection collection , ITextRegion textRegion)`

### Parameters

`collection`

`textRegion`

### Returns

`TextAttribute`

## getAttributeFor

`protected TextAttribute getAttributeFor(ITextRegion region)`

### Parameters

`region`

### Returns

`TextAttribute`

## getColorPreferences

`protected IPreferenceStore getColorPreferences()`

### Returns

`IPreferenceStore`

## getDocument

`protected IStructuredDocument getDocument()`

### Returns

`IStructuredDocument`

## getHighlighter

`protected Highlighter getHighlighter()`

### Returns

`Highlighter`

## handlePropertyChange

`protected void handlePropertyChange(PropertyChangeEvent event)`

### Parameters

`event`

## init

`public void init(IStructuredDocument document , Highlighter highlighter)`

### Parameters

`document`

`highlighter`

## init

`public void init(IStructuredDocument structuredDocument , ISourceViewer sourceViewer)`

### Parameters

`structuredDocument`

`sourceViewer`

## init

`public void init(IStructuredDocument structuredDocument , ReconcilerHighlighter highlighter)`

### Parameters

`structuredDocument`

`highlighter`

## isInitialized

`public boolean isInitialized()`

Returns the initialized.

### Returns

`boolean` - boolean

## loadColors

`protected void loadColors()`

## prepareRegions

`public boolean prepareRegions(ITypedRegion typedRegion , int lineRequestStart , int lineRequestLength , java.util.Collection holdResults)`

### Parameters

`typedRegion`

`lineRequestStart`

`lineRequestLength`

`holdResults`

### Returns

`boolean`

## prepareTextRegion

`protected boolean prepareTextRegion(ITextRegionCollection blockedRegion , int partitionStartOffset , int partitionLength , java.util.Collection holdResults)`

### Parameters

`blockedRegion`

`partitionStartOffset`

`partitionLength`

`holdResults`

### Returns

`boolean`

## prepareTextRegions

`protected boolean prepareTextRegions(IStructuredDocumentRegion structuredDocumentRegion , int partitionStartOffset , int partitionLength , java.util.Collection holdResults)`

### Parameters

`structuredDocumentRegion`

`partitionStartOffset`

`partitionLength`

`holdResults`

### Returns

`boolean`

## registerPreferenceManager

`protected void registerPreferenceManager()`

## release

`public void release()`

## unRegisterPreferenceManager

`protected void unRegisterPreferenceManager()`